import { useEffect, useState } from "react";
import useInputMessageStore from "../../store/chat_store/useInputMessageStore";
import useFastAnswerStore from "./useFastAnswerStore";
import useConfigChatStore from "../../store/chat_store/useConfigChatStore";
import { useTranslation } from "@/src/hooks/useTranslation";


const ListFastAnswer = () => {
    const { trans } = useTranslation();
    const id_chatbot = useConfigChatStore(state => state.idChatbot);
    const {listFastAnswer,setOpenModal,getReplies} = useFastAnswerStore((state)=> ({
        listFastAnswer: state.listFastAnswer,
        setOpenModal: state.setOpenModal,
        getReplies: state.getReplies,
    }));
    const messageInput = useInputMessageStore((state) => state.message);
    const setMessageInput = useInputMessageStore((state) => state.setMessage);
    useEffect(() => {
        getReplies(id_chatbot)
    }, [])
    
    if (listFastAnswer.length == 0) {
        return (
            <h1>{trans("modal_conversations_answer_fast_empty_title")}</h1>
        )
    }

    const handleAddFastAnswerInput = (e: any, item: any) => {
        if (messageInput.trim() == '') {
            setMessageInput(item.mensaje_largo);
        } else {
            const message = `${messageInput}\n${item.mensaje_largo}`;
            setMessageInput(message);
        }
    }
    return (
        <div style={{ maxHeight: '350px', overflow: 'auto' }}>
            <div className="w-full text-sm text-left rtl:text-right text-gray-700 dark:text-gray-400 flex flex-col gap-2">
                {listFastAnswer.map((item: any, index) => (
                    <div key={index} onClick={(e) => handleAddFastAnswerInput(e, item)}
                     className="cursor-pointer border border-gray-300 hover:bg-gray-200 p-1" 
                     title={trans("modal_conversations_answer_fast_toltip_title")}>
                        <div className="w-full flex justify-between items-center ">
                            <h5 className="font-semibold">{item.rapido}</h5>
                        </div>
                        <p className="mb-1">{item.mensaje_largo}</p>
                    </div>
                ))}
            </div>
        </div>
    )
}

export default ListFastAnswer